/* Copyright (c) 2019, The Linux Foundation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/*
 * virt-reg-ut device tree in the 64 bits version; It supports virtio regulator
 * mapping for the unit test kernel module of virtio-reg.
 */

&soc {
	qcom,virtio_regulator_ut {
		compatible = "qcom,virtio-regulator-unit-test";
		unit_test_reg_1-supply = <&pcie_0_gdsc>;
		unit_test_reg_2-supply = <&pcie_1_gdsc>;
		unit_test_reg_3-supply = <&pm8150_1_l2>;
		unit_test_reg_4-supply = <&pm8150_1_l5>;
		unit_test_reg_5-supply = <&pm8150_1_l12>;
		unit_test_reg_6-supply = <&pm8150_1_l17>;
		unit_test_reg_7-supply = <&pm8150_2_l8>;
		unit_test_reg_8-supply = <&pm8150_2_l13>;
		unit_test_reg_9-supply = <&pm8150_2_l15>;
		unit_test_reg_10-supply = <&pm8150_2_l18>;
		unit_test_reg_11-supply = <&pm8150_1_s6>;
		unit_test_reg_12-supply = <&pm8150_2_s4>;
		unit_test_reg_13-supply = <&pm8150_2_s5>;
		status = "okay";
	};
};

